Reply to a mention
curl --request POST \
--url https://api.social-api.ai/v1/accounts/{id}/mentions/reply \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"comment_id": "<string>",
"media_id": "<string>",
"text": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment_id: '<string>', media_id: '<string>', text: '<string>'})
};
fetch('https://api.social-api.ai/v1/accounts/{id}/mentions/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/{id}/mentions/reply"
payload = {
"comment_id": "<string>",
"media_id": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"comment_id": "<string>",
"success": true
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Mentions
Reply to a mention
Replies, as a public comment, to a mention of the connected account, including on a third-party post where the normal comment-reply endpoint is not permitted. Provide media_id (the media/post the mention is on); set comment_id only when the mention was in a comment (omit it to reply to a mention in the post caption). Supported on Instagram, Facebook, Threads and Bluesky. Consumes 1 interaction credit.
POST
/
accounts
/
{id}
/
mentions
/
reply
Reply to a mention
curl --request POST \
--url https://api.social-api.ai/v1/accounts/{id}/mentions/reply \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"comment_id": "<string>",
"media_id": "<string>",
"text": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment_id: '<string>', media_id: '<string>', text: '<string>'})
};
fetch('https://api.social-api.ai/v1/accounts/{id}/mentions/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/{id}/mentions/reply"
payload = {
"comment_id": "<string>",
"media_id": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"comment_id": "<string>",
"success": true
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Connected account ID